#!/bin/bash
set -e

# packages
echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/debian \
  $(. /etc/os-release && echo "$VERSION_CODENAME") stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
sudo apt update && sudo apt upgrade -y
sudo apt install gnupg docker-ce

# keys
curl https://yrz.am/gpg | gpg --import

# files
mkdir -p ~/app
touch ~/app/docker-compose.yaml
